### Hierarchy

- AccordionItem

## Index

### Inputs

- ariaLevel
- context
- expanded
- id
- skeleton
- title

### Outputs

- selected

### Constructors

- constructor

### Properties

- ariaLevel
- context
- expanded
- id
- itemClass
- itemType
- role
- selected
- skeleton
- title
- accordionItemCount

### Methods

- isTemplate
- toggleExpanded

## Constructors

### constructor

- new AccordionItem(): AccordionItem

- - Defined in src/accordion/accordion-item.component.ts:55

  #### Returns AccordionItem

## Properties

### ariaLevel

@HostBinding({"hostPropertyName":"attr.aria-level"})
@Input()
ariaLevel: number = 3

- Defined in src/accordion/accordion-item.component.ts:55

### context

@Input()
context: Object | null = null

- Defined in src/accordion/accordion-item.component.ts:46

### expanded

@HostBinding({"hostPropertyName":"class.bx--accordion__item--active"})
@Input()
expanded: boolean = false

- Defined in src/accordion/accordion-item.component.ts:52

### id

@Input()
id: string = `accordion-item-${AccordionItem.accordionItemCount}`

- Defined in src/accordion/accordion-item.component.ts:47

### itemClass

@HostBinding({"hostPropertyName":"class.bx--accordion__item"})
itemClass: boolean = true

- Defined in src/accordion/accordion-item.component.ts:51

### itemType

@HostBinding({"hostPropertyName":"style.display"})
itemType: string = "list-item"

- Defined in src/accordion/accordion-item.component.ts:53

### role

@HostBinding({"hostPropertyName":"attr.role"})
role: string = "heading"

- Defined in src/accordion/accordion-item.component.ts:54

### selected

@Output()
selected: EventEmitter<Object> = new EventEmitter()

- Defined in src/accordion/accordion-item.component.ts:49

### skeleton

@Input()
skeleton: boolean = false

- Defined in src/accordion/accordion-item.component.ts:48

### title

@Input()
title: string | TemplateRef<any>

- Defined in src/accordion/accordion-item.component.ts:45

### Static accordionItemCount

accordionItemCount: number = 0

- Defined in src/accordion/accordion-item.component.ts:44

## Methods

### isTemplate

- isTemplate(value: any): boolean

- - Defined in src/accordion/accordion-item.component.ts:68

  #### Parameters

  - ##### value: any

  #### Returns boolean

### toggleExpanded

- toggleExpanded(): void

- - Defined in src/accordion/accordion-item.component.ts:61

  #### Returns void

Generated using TypeDoc